﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DataGridDemo
{
    public class OrderInfoRepository
    {
        ObservableCollection<OrderInfo> orderDetails;
        public OrderInfoRepository()
        {
            orderDetails = new ObservableCollection<OrderInfo>();
        }

        #region private variables

        private Random random = new Random();

        #endregion

        #region GetOrderDetails

        public ObservableCollection<OrderInfo> GetOrderDetails(int count)
        {
            for (int i = 0; i <= 5; i++)
            {
                var ord = new OrderInfo()
                {
                    RowHeaderValues = rowHeaderValues[i] + ":",
                    Column1 = Col1[i],
                    Column2 = Col2[i],
                    Column3 = Col3[i]
                };
                orderDetails.Add(ord);
            }
            return orderDetails;
        }

        #endregion

        string[] rowHeaderValues = new string[]
        {
            "Name",
            "Dept",
            "Age",
            "City",
            "State",
            "M/F"
        };

        string[] Col1 = new string[] {
            "Name1",
            "IT",
            "25",
            "London",
            "London",
            "M",
        };

        string[] Col2 = new string[]
        {
            "Name2",
            "CSE",
            "30",
            "California",
            "California",
            "F",
        };

        string[] Col3 = new string[]
{
            "Name3",
            "IT",
            "23",
            "Newyork",
            "Newyork",
            "M",
};

    }
}
